package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

@Data
public class AppletReserveRecipeDTO {
   @ApiModelProperty("菜谱日期")
   private @NotNull(
           message = "{menu_apply_date_null}"
   ) LocalDate applyDate;
   @ApiModelProperty("菜谱id")
   private @NotNull(
           message = "{menu_recipe_id_null}"
   ) Long recipeId;
   @ApiModelProperty("人员id")
   private Long custId;

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }


   @Override
   public String toString() {
      String var10000 = String.valueOf(this.getApplyDate());
      return "AppletReserveRecipeDTO(applyDate=" + var10000 + ", recipeId=" + this.getRecipeId() + ", custId=" + this.getCustId() + ")";
   }
}
